import request from '@/utils/request'

// 查询人才招聘信息列表
export function listRecruit(query) {
  return request({
    url: '/system/recruit/list',
    method: 'get',
    params: query
  })
}

// 查询人才招聘信息详细
export function getRecruit(id) {
  return request({
    url: '/system/recruit/' + id,
    method: 'get'
  })
}

// 新增人才招聘信息
export function addRecruit(data) {
  return request({
    url: '/system/recruit',
    method: 'post',
    data: data
  })
}

// 修改人才招聘信息
export function updateRecruit(data) {
  return request({
    url: '/system/recruit',
    method: 'put',
    data: data
  })
}

// 删除人才招聘信息
export function delRecruit(id) {
  return request({
    url: '/system/recruit/' + id,
    method: 'delete'
  })
}
